<?php

declare(strict_types=1);

namespace App\Controller\TblPerfilUsuarioComunidadHigen;

use App\Service\TblPerfilUsuarioComunidadHigenService;
use Pimple\Psr11\Container;

abstract class Base
{
    protected Container $container;

    public function __construct(Container $container)
    {
        $this->container = $container;
    }

    protected function getTblPerfilUsuarioComunidadHigenService(): TblPerfilUsuarioComunidadHigenService
    {
        return $this->container->get('TblPerfilUsuarioComunidadHigen_service');
    }
}
